<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <include
        android:id="@+id/toolbar_include"
        layout="@layout/common_toolbar_layout" />

    <EditText
        android:id="@+id/et_title"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:hint="请输入标题"
        android:paddingStart="@dimen/dp_15"
        android:paddingTop="@dimen/dp_18"
        android:paddingBottom="@dimen/dp_13"
        android:textColor="@color/black_444"
        android:textSize="@dimen/dp_18"
        />

    <View
        style="@style/line_style"
        android:layout_marginStart="@dimen/dp_15"
        android:layout_marginEnd="@dimen/dp_15"/>

    <EditText
        android:id="@+id/et_notice"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_200"
        android:background="@color/white"
        android:gravity="start|top"
        android:hint="请填写群公告，1-255字"
        android:maxLength="225"
        android:padding="@dimen/dp_15"
        android:textColor="#ff808080"
        android:textSize="@dimen/dp_16"
        />

    <View
        style="@style/line_style"
        android:layout_height="@dimen/dp_15"/>

    <CheckBox
        android:id="@+id/cb_roof"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_50"
        android:background="@color/white"
        android:button="@null"
        android:checked="true"
        android:drawableEnd="@drawable/message_on_off_selector"
        android:paddingStart="@dimen/dp_15"
        android:paddingEnd="@dimen/dp_15"
        android:text="设为置顶"
        android:textColor="@color/black_444"
        android:textSize="@dimen/dp_16"/>

    <TextView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/divide_color"
        android:paddingStart="@dimen/dp_15"
        android:paddingTop="@dimen/dp_4"
        android:text="开启后，本公告将自动发给新成员，仅可设置一条。"
        android:textColor="#ff999999"
        android:textSize="14sp"
        android:visibility="gone"
        />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_0"
        android:layout_weight="1"
        android:background="@color/divide_color"
        android:orientation="vertical"
        android:paddingTop="@dimen/dp_108">

        <Button
            android:id="@+id/btn_commit"
            style="?android:attr/borderlessButtonStyle"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_50"
            android:layout_marginStart="@dimen/dp_28"
            android:layout_marginEnd="@dimen/dp_28"
            android:layout_marginBottom="@dimen/dp_95"
            android:background="@drawable/btn_primary_default_shape"
            android:text="发布"
            android:textColor="@color/white"
            android:textSize="@dimen/dp_16"
            />
    </LinearLayout>

</LinearLayout>